Bug 164008 - Nothing displayed in Explorer under Bochs
Nothing displayed in Explorer under Bochs
Product: Fedora
Classification: Fedora
Component: bochs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-07-22 16:45 EDT by Björn Persson
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-22 18:10:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Bochs configuration (27.52 KB, text/plain)
2005-07-22 16:54 EDT, Björn Persson
no flags Details

  None (edit)
Description Björn Persson 2005-07-22 16:45:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
When I run Internet Explorer 5.5 in Windows 95 in Bochs 2.2 in Fedora Core 4, The content in Explorer is invisible. Menus, status bar, dialog boxes and all that are rendered just fine, but the actual content area is all white or sometimes isn't updated at all.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Assuming that Windows and Explorer are already installed on the guest system:
1. Run Bochs. Windows boots.
2. Launch Internet Explorer.
3. Type in google.com for example.

Actual Results:  When Explorer first starts, parts of the content area go white while other parts aren't drawn at all, so that parts of the desktop and the splash window are still visible. When a page is loaded, the whole area turns white. The page does get loaded. I can move the focus from link to link with the tab key and see the addresses displayed in the status bar. It's almost as if all web pages had white text on white background and all white images.

Expected Results:  The window content should be visible.

Additional info:

The problem does not affect all programs in the guest system. I tried Notepad and Paint, and they seemed to display their content quite OK.

The problem is new in Bochs 2.2. I replaced the Bochs package with bochs-2.1.1-1.i386.rpm from Fedora Extras for FC3, and the problem disappeared.
Comment 1 Björn Persson 2005-07-22 16:54:44 EDT
Created attachment 117079 [details]
Bochs configuration
Comment 2 Warren Togami 2005-07-22 18:10:21 EDT
Unfortunately there is nothing Fedora can do about this.  Please report bugs
like this to upstream.
Comment 3 Ville Skyttä 2005-07-23 04:08:30 EDT
On the other hand, an update to bochs 2.2.1 is already scheduled and will be
shipped as soon as the Extras build system is available again, maybe that helps.

In the meantime, if you wish to try it out, you can check out the bochs module
from CVS and rebuild it locally, see http://cvs.fedora.redhat.com/extras.shtml

Additionally, I'm no longer actively using bochs myself, and it would benefit
from a new maintainer... http://fedoraproject.org/wiki/Extras/OrphanedPackages
Comment 4 Ville Skyttä 2005-07-31 06:46:08 EDT
FWIW, 2.2.1 is now in the FC-4 and devel FE repositories. 

Note You need to log in before you can comment on or make changes to this bug.